/*
m_loop_delete - Delete a looper/sample of the given name

DESCRIPTION
This will delete the recorded sample attached to a looper and make the looper
invalid. Deletion will happen at the end of the current note.

SYNTAX
m_loop_delete Sname

INITIALIZATION
Sname - Name of the loop (as given to m_loop_new)

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_loop_delete, 0, S
	Sname xin

	; Create the basic channel name
	SchannelName strcat "m_loop.", Sname

	; Get the linked ftable number
	iSample chnget strcat(SchannelName, ".Table")
	ftfree iSample, 1
	chnset 0, strcat(SchannelName, ".Valid")
endop
