/*
m_loop_valid - check whether a loop is valid/ready to play

DESCRIPTION
Check whether a loop/sample is valid/ready to play. Return 1 if the loop is OK,
0 otherwise.

SYNTAX
ivalid m_loop_valid Sname

INITIALIZATION
ivalid - 0 if not valid, 1 if valid/ready to play
Sname - Name of the loop/sample as given to m_loop_new

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_loop_valid, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_loop.", Sname

	iValid chnget strcat(SchannelName, ".Valid")

	xout iValid
endop
